Bug 149335 - Request for gcc32 g77 compatibility package
Request for gcc32 g77 compatibility package
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: compat-gcc-32 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-22 10:38 EST by Stuart Campbell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-01 07:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stuart Campbell 2005-02-22 10:38:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
Would it be possible to have a compat-gcc32-g77 package produced for RHEL4 similar to the g++ one ?

I have a number of apps that work fine on RHEL 3 but won't compile under RHEL4 - I can compile the C/C++ sections using the gcc32 and g++32 commands but the fortran components fail.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jakub Jelinek 2005-02-22 13:00:03 EST
Can you expand why you can't use g77 for the Fortran parts and compat-gcc-32
C/C++ compilers for the C resp. C++ parts (or even also gcc for the C parts)?
To my knowledge there weren't big Fortran frontend changes between GCC 3.2-RH
and 3.4-RH.  If this is because GCC 3.4-RH bugs, then they ought to be fixed
once they are reported as such.

There are already far too many compilers in RHEL4, so the answer will be most
probably no, unless you present a compelling reason.
Comment 2 Jakub Jelinek 2005-03-01 07:16:31 EST
If you come up with good rationale, please reopen.

Note You need to log in before you can comment on or make changes to this bug.